Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Bernard Cafarelli (voyageur)" <voyageur@g.o>
Subject: gentoo-x86 commit in net-misc/nxserver-freeedition: nxserver-freeedition-3.0.0-r3.ebuild ChangeLog
Date: Tue, 18 Sep 2007 21:52:53 +0000
voyageur    07/09/18 21:52:53

  Modified:             nxserver-freeedition-3.0.0-r3.ebuild ChangeLog
  Log:
  Fix variables quoting, clean up install part
  (Portage version: 2.1.3.9)

Revision  Changes    Path
1.2                  net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild?r1=1.1&r2=1.2

Index: nxserver-freeedition-3.0.0-r3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- nxserver-freeedition-3.0.0-r3.ebuild	18 Sep 2007 21:01:47 -0000	1.1
+++ nxserver-freeedition-3.0.0-r3.ebuild	18 Sep 2007 21:52:53 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild,v 1.1 2007/09/18 21:01:47 voyageur Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild,v 1.2 2007/09/18 21:52:53 voyageur Exp $
 
 inherit eutils
 
@@ -33,8 +33,8 @@
 src_unpack()
 {
 	unpack ${A}
-	cd ${S}
-	epatch ${FILESDIR}/nxserver-3.0.0-r3-setup.patch
+	cd "${S}"
+	epatch "${FILESDIR}"/nxserver-3.0.0-r3-setup.patch
 }
 
 src_install()
@@ -43,11 +43,9 @@
 	# with libraries installed for FreeNX
 
 	into /usr/NX
-	for x in nxserver ; do
-		dobin bin/$x
-	done
+	dobin bin/nxserver
 
-	dodir /usr/NX/etc
+	dodir /usr/NX/etc/keys
 	insinto /usr/NX/etc
 	doins etc/administrators.db.sample
 	doins etc/guests.db.sample
@@ -58,15 +56,12 @@
 
 	newins etc/server-debian.cfg.sample server-gentoo.cfg.sample
 
-	cp -R etc/keys ${D}/usr/NX/etc || die
+	insinto /usr/NX
+	doins -r home lib scripts
+	cp -R share "${D}"/usr/NX || die "Unable to install share folder"
+	cp -R var "${D}"/usr/NX || die "Unable to install var folder"
 
-	cp -R home ${D}/usr/NX || die
-	cp -R lib ${D}/usr/NX || die
-	cp -R scripts ${D}/usr/NX || die
-	cp -R share ${D}/usr/NX || die
-	cp -R var ${D}/usr/NX || die
-
-	newinitd ${FILESDIR}/nxserver-2.1.0-init nxserver
+	newinitd "${FILESDIR}"/nxserver-2.1.0-init nxserver
 }
 
 pkg_postinst ()
@@ -77,10 +72,10 @@
 	# only run install when no configuration file is found
 	if [ -f /usr/NX/etc/server.cfg ]; then
 		einfo "Running NoMachine's update script"
-		${ROOT}/usr/NX/scripts/setup/nxserver --update
+		"${ROOT}"/usr/NX/scripts/setup/nxserver --update
 	else
 		einfo "Running NoMachine's setup script"
-		${ROOT}/usr/NX/scripts/setup/nxserver --install
+		"${ROOT}"/usr/NX/scripts/setup/nxserver --install
 	fi
 
 	elog "Remember to add nxserver to your default runlevel"



1.14                 net-misc/nxserver-freeedition/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog?rev=1.14&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog?rev=1.14&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog?r1=1.13&r2=1.14

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- ChangeLog	18 Sep 2007 21:01:47 -0000	1.13
+++ ChangeLog	18 Sep 2007 21:52:53 -0000	1.14
@@ -1,6 +1,11 @@
 # ChangeLog for net-misc/nxserver-freeedition
 # Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog,v 1.13 2007/09/18 21:01:47 voyageur Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog,v 1.14 2007/09/18 21:52:53 voyageur Exp $
+
+  18 Sep 2007; Bernard Cafarelli <voyageur@g.o>
+  nxserver-freeedition-3.0.0-r3.ebuild:
+  Fix variables quoting, thanks opfer
+  Also clean up the install section
 
 *nxserver-freeedition-3.0.0-r3 (18 Sep 2007)
 



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in net-firewall/nufw: ChangeLog nufw-2.0.19.ebuild nufw-2.2.4.ebuild nufw-2.0.20.ebuild
Next by thread:
gentoo-x86 commit in net-misc/nxserver-freeedition: nxserver-freeedition-3.0.0-r3.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in net-firewall/nufw: ChangeLog nufw-2.0.19.ebuild nufw-2.2.4.ebuild nufw-2.0.20.ebuild
Next by date:
gentoo-x86 commit in net-firewall/nufw: ChangeLog nufw-2.2.5.ebuild


Updated Oct 01, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.